require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Enseignant!',


    inputs: {

        codeEnseignant: {
            type: 'string',
            required: true,
        },
        pp: {
            type: 'string',
            required: true,
        },
        codeClasse: {
            type: 'string',
        },
        codeMatiere: {
            type: 'string',
        },
        anneeScolaire: {
            type: 'string',
            required: true,
        },
        codeEcole: {
            type: 'string',
            required: true,
        },


        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        //console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let enseignantClasseCreate;
        let enseignantClasse = await EnseignantsClasse.find({
            codeClasse: inputs.codeClasse,
            codeEnseignant: inputs.codeEnseignant,
            codeEcole: inputs.codeEcole,
            codeMatiere: inputs.codeMatiere,
        }).then(_.first)
        if (enseignantClasse) {

            return exits.notFound({ message: "Cette classe existe pour cet enseignant déja, veuillez le modifier!" })
        } else {
            enseignantClasseCreate = await EnseignantsClasse.create(inputs).fetch();
        }
        // All done.
        return exits.success(enseignantClasseCreate);

    }


};
